using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WorkFlowCheck.Common.DTO;

namespace WorkFlowCheck.MAUI.Services.Interfaces
{
    public interface IUserService
    {
        UserDTO? GetCurrentUser();
        Task<ApiResponseDTO<UserDTO>> GetUserAsync();
        Task<ApiResponseDTO<UserDTO>> Authenticate(string username, string password);
        void SetCurrentUser(UserDTO user);
    }
}
